---
updatedAt: 2025-05-22T20:27:18.000Z
agentTools:
  projectIndex: https://docs.klarda.com/llms.txt
---

# Get Suspicious Volume By Filter

## Definition

This endpoint retrieves data on suspicious token trading volumes within a specified duration and blockchain network. Users can filter the results by chain ID and manage the results through pagination.

## Query Parameters

For guidance on how to leverage this method, check out the following tutorials:

1. **duration** (string): The duration over which to retrieve suspicious volume data, such as '24H' for 24 hours.
2. **chain\_id** (string): The identifier of the blockchain network to filter the data by, such as 'bsc' for Binance Smart Chain.
3. **page** (int): The page number for paginated results. Default value is 1.
4. **limit** (int): The maximum number of records to return per page. Default value is 10.

## Response

The response will include a JSON object containing data on suspicious trading volumes filtered by the specified criteria. This may include details such as token identifiers, trading volumes, and other relevant metrics.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "klarda-token-market-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.klarda.com/api/v1/market"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "query",
        "name": "api_key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/token/onchain/suspicious-vol": {
      "get": {
        "summary": "Get Suspicious Volume By Filter",
        "description": "",
        "operationId": "get-suspicious-volume",
        "parameters": [
          {
            "name": "duration",
            "in": "query",
            "description": "String - specify the duration for which you want the data to remain relevant or accessible. Can be one of the following: \"6H\" and \"24H\" (more will be added in the future). Default to \"24H\"",
            "required": true,
            "schema": {
              "type": "string",
              "default": "24H"
            }
          },
          {
            "name": "chain_id",
            "in": "query",
            "description": "String - denotes the specific blockchain network from which the data has been crawled. Available values: mantle, fuse, optimism, avalanche, ethereumpow, base, oasisemerald, milkomedacardano, velas, kcc, cronos, pulechain, stepnetwork, dogechain, moonriver, moonbeam, arbitrum, fantom, bsc, iotex, harmony, ethereum, polygon. Default to \"all\"",
            "required": true,
            "schema": {
              "type": "string",
              "default": "bsc"
            }
          },
          {
            "name": "page",
            "in": "query",
            "description": "Int - Defines the page number of the results to be retrieved from a paginated dataset. Default to 1.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 1
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Int - Defines the maximum number of items to be returned per page in a paginated dataset. Default to 10.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 10
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"success\": true,\n  \"data\": {\n    \"total\": 5357,\n    \"result\": [\n      {\n        \"baseToken\": {\n          \"address\": \"0x4c9EDD5852cd905f086C759E8383e09bff1E68B3\",\n          \"name\": \"USDe\",\n          \"symbol\": \"USDe\",\n          \"logo_uri\": \"https://img.cryptorank.io/coins/150x150.ethena_us_de1711624855695.png\"\n        },\n        \"quoteToken\": {\n          \"address\": \"0xdAC17F958D2ee523a2206206994597C13D831ec7\",\n          \"name\": \"Tether USD\",\n          \"symbol\": \"USDT\"\n        },\n        \"priceUsd\": 1.00036,\n        \"volume\": {\n          \"h24\": 33454095.11,\n          \"h6\": 15285529.52,\n          \"h1\": 4782636.49,\n          \"m5\": 2560229.21\n        },\n        \"priceChange\": {\n          \"m5\": 0.07,\n          \"h1\": 0.03,\n          \"h6\": 0.05,\n          \"h24\": 0.08\n        },\n        \"liquidity\": {\n          \"usd\": 12073566.7,\n          \"base\": 5937451,\n          \"quote\": 6133941\n        }\n      }\n    ]\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "total": {
                          "type": "integer",
                          "example": 5357,
                          "default": 0
                        },
                        "result": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "baseToken": {
                                "type": "object",
                                "properties": {
                                  "address": {
                                    "type": "string",
                                    "example": "0x4c9EDD5852cd905f086C759E8383e09bff1E68B3"
                                  },
                                  "name": {
                                    "type": "string",
                                    "example": "USDe"
                                  },
                                  "symbol": {
                                    "type": "string",
                                    "example": "USDe"
                                  },
                                  "logo_uri": {
                                    "type": "string",
                                    "example": "https://img.cryptorank.io/coins/150x150.ethena_us_de1711624855695.png"
                                  }
                                }
                              },
                              "quoteToken": {
                                "type": "object",
                                "properties": {
                                  "address": {
                                    "type": "string",
                                    "example": "0xdAC17F958D2ee523a2206206994597C13D831ec7"
                                  },
                                  "name": {
                                    "type": "string",
                                    "example": "Tether USD"
                                  },
                                  "symbol": {
                                    "type": "string",
                                    "example": "USDT"
                                  }
                                }
                              },
                              "priceUsd": {
                                "type": "number",
                                "example": 1.00036,
                                "default": 0
                              },
                              "volume": {
                                "type": "object",
                                "properties": {
                                  "h24": {
                                    "type": "number",
                                    "example": 33454095.11,
                                    "default": 0
                                  },
                                  "h6": {
                                    "type": "number",
                                    "example": 15285529.52,
                                    "default": 0
                                  },
                                  "h1": {
                                    "type": "number",
                                    "example": 4782636.49,
                                    "default": 0
                                  },
                                  "m5": {
                                    "type": "number",
                                    "example": 2560229.21,
                                    "default": 0
                                  }
                                }
                              },
                              "priceChange": {
                                "type": "object",
                                "properties": {
                                  "m5": {
                                    "type": "number",
                                    "example": 0.07,
                                    "default": 0
                                  },
                                  "h1": {
                                    "type": "number",
                                    "example": 0.03,
                                    "default": 0
                                  },
                                  "h6": {
                                    "type": "number",
                                    "example": 0.05,
                                    "default": 0
                                  },
                                  "h24": {
                                    "type": "number",
                                    "example": 0.08,
                                    "default": 0
                                  }
                                }
                              },
                              "liquidity": {
                                "type": "object",
                                "properties": {
                                  "usd": {
                                    "type": "number",
                                    "example": 12073566.7,
                                    "default": 0
                                  },
                                  "base": {
                                    "type": "integer",
                                    "example": 5937451,
                                    "default": 0
                                  },
                                  "quote": {
                                    "type": "integer",
                                    "example": 6133941,
                                    "default": 0
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 400,\n  \"message\": \"Wrong api_key, please check!\",\n  \"error\": \"Bad Request\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 400,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Wrong api_key, please check!"
                    },
                    "error": {
                      "type": "string",
                      "example": "Bad Request"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 401,\n  \"message\": \"Unauthorized\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 401,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Unauthorized"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "500",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 500,\n  \"message\": \"Internal server error\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 500,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Internal server error"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```